// Warning: Some assembly references could not be resolved automatically. This might lead to incorrect decompilation of some parts,
// for ex. property getter/setter access. To get optimal decompilation results, please manually add the missing references to the list of loaded assemblies.
// EdenAutoMorpherScript, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
// Eden.AutoMorpher.BakedBodyMesh
using UnityEngine;

public class BakedBodyMesh
{
    public SkinnedMeshRenderer smr;

    public Mesh bakedMesh;

    public BakedBodyMesh(SkinnedMeshRenderer _smr)
    {
        this.smr = _smr;
        this.bakedMesh = new Mesh();
        this.smr.BakeMesh(this.bakedMesh);
    }

    public void ReBakeMesh()
    {
        this.smr.BakeMesh(this.bakedMesh);
    }

    ~BakedBodyMesh()
    {
        this.smr = null;
        this.bakedMesh = null;
    }
}
